### Method

# AppStream SystemInfo set_input_control

#### Declaration [src]

    void
    as_system_info_set_input_control (
      AsSystemInfo* sysinfo,
      AsControlKind kind,
      gboolean found
    )

#### Description [src]

Explicitly mark a user input control as present or not present on this system.

#### Parameters

`kind`

  Type: `AsControlKind`

  The `AsControlKind` to set.

`found`

  Type: `gboolean`

  `TRUE` if the control should be marked as found.